Commerce
Update a commerce item
Requires commerce:items:write.
PATCH
/
commerce
/
items
/
{itemId}
Update a commerce item
curl --request PATCH \
--url https://platform-api.visitoai.com/m2m/v1/commerce/items/{itemId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"amountMinor": 2,
"active": true,
"allowQuantity": true,
"minQuantity": 2,
"maxQuantity": 2,
"fields": [
{
"label": "<string>",
"required": true,
"key": "<string>",
"options": [
"<string>"
]
}
]
}
'import requests
url = "https://platform-api.visitoai.com/m2m/v1/commerce/items/{itemId}"
payload = {
"name": "<string>",
"description": "<string>",
"amountMinor": 2,
"active": True,
"allowQuantity": True,
"minQuantity": 2,
"maxQuantity": 2,
"fields": [
{
"label": "<string>",
"required": True,
"key": "<string>",
"options": ["<string>"]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
amountMinor: 2,
active: true,
allowQuantity: true,
minQuantity: 2,
maxQuantity: 2,
fields: [{label: '<string>', required: true, key: '<string>', options: ['<string>']}]
})
};
fetch('https://platform-api.visitoai.com/m2m/v1/commerce/items/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"item": {
"itemId": "<string>",
"tenantId": "<string>",
"name": "<string>",
"amountMinor": 2,
"currency": "<string>",
"active": true,
"scope": "global",
"allowQuantity": true,
"minQuantity": 2,
"maxQuantity": 2,
"fields": [
{
"key": "<string>",
"label": "<string>",
"type": "text",
"required": true,
"options": [
"<string>"
]
}
],
"description": "<string>",
"propertyId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "M2M_AUTH_INSUFFICIENT_SCOPE",
"message": "M2M credential does not have required scope.",
"details": {
"requiredScopes": [
"conversations:write"
],
"missingScopes": [
"conversations:write"
]
}
}
}Authorizations
Server-side tenant-scoped credential created from Build > API Keys.
Path Parameters
Body
application/json
Response
Commerce item updated
Show child attributes
Show child attributes
⌘I
Update a commerce item
